Merge "prototypes: bifrost: Remove OPNFV specific group_vars file"
[releng.git] / utils / test / testapi / run_test.sh
index 9b25f8f..1e05dd6 100755 (executable)
@@ -1,10 +1,40 @@
-#! /bin/bash
+#!/bin/bash
 
-# Before run this script, make sure that testtools and discover
-# had been installed in your env
-# or else using pip to install them as follows:
-# pip install testtools, discover
+set -o errexit
+
+# Get script directory
+SCRIPTDIR=`dirname $0`
+
+echo "Running unit tests..."
+
+# Creating virtual environment
+if [ ! -z $VIRTUAL_ENV ]; then
+    venv=$VIRTUAL_ENV
+else
+    venv=$SCRIPTDIR/.venv
+    virtualenv $venv
+fi
+source $venv/bin/activate
+
+# Install requirements
+pip install -r $SCRIPTDIR/requirements.txt
+pip install -r $SCRIPTDIR/test-requirements.txt
 
 find . -type f -name "*.pyc" -delete
-testrargs="discover ./opnfv_testapi/tests/unit"
-python -m testtools.run $testrargs
+
+nosetests --with-xunit \
+    --with-coverage \
+    --cover-erase \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/cmd \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/common \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/resources \
+    --cover-package=$SCRIPTDIR/opnfv_testapi/router \
+    --cover-xml \
+    --cover-html \
+    $SCRIPTDIR/opnfv_testapi/tests
+
+exit_code=$?
+
+deactivate
+
+exit $exit_code